org.jboss.resteasy.spi.metadata

## Class ResourceMethod

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceLocator
  - - org.jboss.resteasy.spi.metadata.ResourceMethod

-     public class ResourceMethod
      extends ResourceLocator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `asynchronous`
    `protected MediaType[]` | `consumes`
    `protected Set<String>` | `httpMethods`
    `protected MediaType[]` | `produces`

    - ### Fields inherited from class org.jboss.resteasy.spi.metadata.ResourceLocator

      `annotatedMethod, fullpath, genericReturnType, method, params, path, resourceClass, returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceMethod(ResourceClass declaredClass, Method method, Method annotatedMethod)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MediaType[]` | `getConsumes()`
    `Set<String>` | `getHttpMethods()`
    `MediaType[]` | `getProduces()`
    `boolean` | `isAsynchronous()`

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.ResourceLocator

      `getAnnotatedMethod, getFullpath, getGenericReturnType, getMethod, getParams, getPath, getResourceClass, getReturnType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### httpMethods

          protected Set<String> httpMethods

    - #### produces

          protected MediaType[] produces

    - #### consumes

          protected MediaType[] consumes

    - #### asynchronous

          protected boolean asynchronous

  - ### Constructor Detail

    - #### ResourceMethod

          public ResourceMethod(ResourceClass declaredClass,
                        Method method,
                        Method annotatedMethod)

  - ### Method Detail

    - #### getHttpMethods

          public Set<String> getHttpMethods()

    - #### getProduces

          public MediaType[] getProduces()

    - #### getConsumes

          public MediaType[] getConsumes()

    - #### isAsynchronous

          public boolean isAsynchronous()

Copyright © 2014. All Rights Reserved.